[YAM - Yet Another Mailer] Topic #106 - LtStatusImg http://yam.ch/discussion/topic/106 <p> LtStatusImg </p> en-us YAM - Yet Another Mailer http://yam.ch/chrome/site/yam.gif http://yam.ch/discussion/topic/106 Trac 1.0.2 - DiscussionPlugin AmigaPhil Wed, 21 Aug 2013 21:33:45 GMT Topic #106 - LtStatusImg http://yam.ch/discussion/topic/106#topic http://yam.ch/discussion/topic/106#topic <p> Hello, </p> <p> For Yam 2.5 and 2.6, I've re-drawn some of the images to be used together with Thore's Empty theme. (See <a class="ext-link" href="http://aminet.net/package/comm/yam/LtStatusImg"><span class="icon">​</span>LtStatusImg.lha</a> - Light Status Images, for details and reason.) </p> <p> My Amiga then died and I had to use Evolution on Linux in the meantime. </p> <p> I have an Amiga again (X1000, OS4.1u6), and I've tried Yam 2.8p1 with my old settings. Everything is loaded as expected, except that NO images are shown (?) (The status images for the Empty theme are simple IFF ILBM ones.) </p> <p> Did I forgot something to configure in my new installation ? Has support for IFF images been dropped (???) or the theme config has changed since Yam 2.6 ? </p> Topic damato Fri, 23 May 2014 17:03:12 GMT Reply #425 to topic #106 - LtStatusImg http://yam.ch/discussion/message/425#message_425 http://yam.ch/discussion/message/425#message_425 <p> This sounds great Philippe. Perhaps we should think about creating a separate "Themes" page on the wiki engine with screenshots, explanations and potentially also download links for directly downloading these themes because I think we can not simply put all possible themes into the main distribution archive but potentially also provide something like <a class="ext-link" href="http://themes.yam.ch/"><span class="icon">​</span>http://themes.yam.ch/</a> which will allow to download additional YAM themes. In the end this was the main idea behind the implementation of the themes engine when I designed it. Unfortunatley not many themes have been created until today, but this might change with such a separate page/download possibility. And we could then even add a "Download more..." button to the configuration window which will then open this web page. </p> Message AmigaPhil Fri, 23 May 2014 16:46:51 GMT Reply #424 to topic #106 - LtStatusImg http://yam.ch/discussion/message/424#message_424 http://yam.ch/discussion/message/424#message_424 <p> Hello Thore, </p> <p> I saw you have updated the MagicWB theme... </p> <p> Maybe you could have a second look at the themes I've attached here. They are specially designed to allow YAM to load much faster on OS3.x while not as restrictive as the Empty theme (the Status images in these themes are available and shown). </p> Message AmigaPhil Sun, 25 Aug 2013 20:38:13 GMT Reply #394 to topic #106 - LtStatusImg http://yam.ch/discussion/message/394#message_394 http://yam.ch/discussion/message/394#message_394 <p> Uploaded a variant of the minimal theme: minimal_reduced. </p> <p> Status images are 1 pixel smaller and use 16 colors instead of 32. </p> Message AmigaPhil Sat, 24 Aug 2013 18:07:46 GMT Reply #393 to topic #106 - LtStatusImg http://yam.ch/discussion/message/393#message_393 http://yam.ch/discussion/message/393#message_393 <blockquote class="citation"> <p> Did you name the images correctly and did you place them in the appropriate subdirectories? </p> </blockquote> <p> I found the solution. It was indeed path related. </p> <p> I spotted it after downloading the last nightly built of Yam Debug. I saw a Resources dir, and no Themes dir. </p> <p> In my Yam directory, there is both Resources and Themes directories, but the 2 icons share the same snapshot place; so I didn't paid attention to the Resources one. I continued to modify files in the Themes dir, not the Resources/Themes embedded dir. </p> <p> My guess is that the Yam version that comes with OS4.1up6 (Yam 2.7 ?) still used the Themes path, and after upgrading to Yam 2.8p1, the Themes dir is not deleted and is hidding the new Resources dir. </p> <p> Anyway, my problem is now solved. </p> <p> I've built a new "minimal" theme. Feel free to add it to the Yam distribution if you find it any usefull. </p> Message AmigaPhil Sat, 24 Aug 2013 14:47:52 GMT Reply #392 to topic #106 - LtStatusImg http://yam.ch/discussion/message/392#message_392 http://yam.ch/discussion/message/392#message_392 <blockquote class="citation"> <p> What's wrong with testing the theme on your current machine? If it loads faster on classic machine it will load faster on recent machines, too. </p> </blockquote> <p> I did. But on X1000, you barely see no speed differences by changing theme whereas on A4000, the default theme was boringly too long to load, using the empty theme (+ status images) made a big improvement in Yam loading speed. </p> <blockquote class="citation"> <p> If you think there is something wrong with YAM's theme handling then create a THEME,<acronym title="Instant Message">IM</acronym>AGE debug log using the debug version of YAM, open a new ticket and attach the log there. Details about the debug version can be found in the <a class="ext-link" href="https://yam.ch/wiki/FAQ/Debugging#BasicsaboutYAMsdebuggingfacilities"><span class="icon">​</span>FAQ</a>. </p> </blockquote> <p> Ok. I forget for now to create a new theme, but I'll try with Yam Debug to see what is happening. </p> Message AmigaPhil Sat, 24 Aug 2013 14:37:25 GMT Reply #391 to topic #106 - LtStatusImg http://yam.ch/discussion/message/391#message_391 http://yam.ch/discussion/message/391#message_391 <blockquote class="citation"> <p> That depends on how you installed the new version. Did you just copy over the executable or did you run the Installer script? </p> </blockquote> <p> It was with the installer script. I have not copied files by hands. </p> Message thboeckel Sat, 24 Aug 2013 12:00:31 GMT Reply #390 to topic #106 - LtStatusImg http://yam.ch/discussion/message/390#message_390 http://yam.ch/discussion/message/390#message_390 <blockquote class="citation"> <p> I can't test that theme on 68k Amiga anymore, but if MagicWB_reduced does the trick of having Yam loading faster on 68k while still showing the informative images (status), then all is fine. No need to create another theme. </p> </blockquote> <p> What's wrong with testing the theme on your current machine? If it loads faster on classic machine it will load faster on recent machines, too. </p> <blockquote class="citation"> <p> Did you have feedback from 68k users about the MagicWB_reduced theme ? </p> </blockquote> <p> No. In fact there is next to no feedback on themes at all. </p> <p> If you think there is something wrong with YAM's theme handling then create a THEME,<acronym title="Instant Message">IM</acronym>AGE debug log using the debug version of YAM, open a new ticket and attach the log there. Details about the debug version can be found in the <a class="ext-link" href="https://yam.ch/wiki/FAQ/Debugging#BasicsaboutYAMsdebuggingfacilities"><span class="icon">​</span>FAQ</a>. </p> Message thboeckel Sat, 24 Aug 2013 11:53:42 GMT Reply #389 to topic #106 - LtStatusImg http://yam.ch/discussion/message/389#message_389 http://yam.ch/discussion/message/389#message_389 <blockquote class="citation"> <p> The first time I started Yam on my new X1000 was the version supplied with OS4.1up6. I was immediately warned that a new version of Yam was available, and I installed it over the existing installation (Sys:Internet/Yam). Maybe the themes were not overwritten in the process ? </p> </blockquote> <p> That depends on how you installed the new version. Did you just copy over the executable or did you run the Installer script? </p> Message AmigaPhil Fri, 23 Aug 2013 21:01:09 GMT Reply #388 to topic #106 - LtStatusImg http://yam.ch/discussion/message/388#message_388 http://yam.ch/discussion/message/388#message_388 <p> I've just checked the MagicWB_reduced theme, and I wondering if it's worth it to build another "light" theme. </p> <p> I can't test that theme on 68k Amiga anymore, but if MagicWB_reduced does the trick of having Yam loading faster on 68k while still showing the informative images (status), then all is fine. No need to create another theme. </p> <p> Did you have feedback from 68k users about the MagicWB_reduced theme ? </p> <p> For LtStatusImg.lha, I can see on Aminet there WAS interests for that package. But probably now it's not as usefull since Yam 2.7/2.8 (?) </p> Message AmigaPhil Fri, 23 Aug 2013 16:15:20 GMT Reply #387 to topic #106 - LtStatusImg http://yam.ch/discussion/message/387#message_387 http://yam.ch/discussion/message/387#message_387 <blockquote class="citation"> <blockquote class="citation"> <p> Hm, the themes provided with Yam 2.8p1 have all "YTH1". </p> </blockquote> <p> Then you did not install YAM 2.8p1 using the supplied installer script, or at least you skipped copying the themes. All themes distributed with 2.8p1 definitely are version 2. </p> </blockquote> <p> The first time I started Yam on my new X1000 was the version supplied with OS4.1up6. I was immediately warned that a new version of Yam was available, and I installed it over the existing installation (Sys:Internet/Yam). Maybe the themes were not overwritten in the process ? </p> <blockquote class="citation"> <p> Did you name the images correctly and did you place them in the appropriate subdirectories? </p> </blockquote> <p> I guess so. I haven't changed the names since then. For example: status -&gt; status_unread </p> <p> The original .theme is the one from your empty theme. I also tried to add "IgnoreMissingImages = Y", but this does not help. </p> Message thboeckel Fri, 23 Aug 2013 09:39:35 GMT Reply #386 to topic #106 - LtStatusImg http://yam.ch/discussion/message/386#message_386 http://yam.ch/discussion/message/386#message_386 <blockquote class="citation"> <blockquote class="citation"> <p> Check your .theme file. The first line should be "YTH2 - YAM Theme" with "2" being the version. Anything less will be rejected. </p> </blockquote> <p> Hm, the themes provided with Yam 2.8p1 have all "YTH1". </p> </blockquote> <p> Then you did not install YAM 2.8p1 using the supplied installer script, or at least you skipped copying the themes. All themes distributed with 2.8p1 definitely are version 2. </p> <blockquote class="citation"> <p> Anyway, with "YTH1" or "YTH2", the Empty is correctly loaded, but none of my status images are shown (they were with Yam 2.6 on OS3.9). </p> <blockquote class="citation"> <p> For your LtStatusImage theme I'd suggest to not copy it over the empty theme, but to create a full featured theme with preview image and separate .theme file. </p> </blockquote> <p> Ok, I'll make a standalone theme. But I can't do that right now as the images are not displayed. </p> </blockquote> <p> Did you name the images correctly and did you place them in the appropriate subdirectories? </p> Message AmigaPhil Thu, 22 Aug 2013 18:53:42 GMT Reply #385 to topic #106 - LtStatusImg http://yam.ch/discussion/message/385#message_385 http://yam.ch/discussion/message/385#message_385 <blockquote class="citation"> <p> Check your .theme file. The first line should be "YTH2 - YAM Theme" with "2" being the version. Anything less will be rejected. </p> </blockquote> <p> Hm, the themes provided with Yam 2.8p1 have all "YTH1". Anyway, with "YTH1" or "YTH2", the Empty is correctly loaded, but none of my status images are shown (they were with Yam 2.6 on OS3.9). </p> <blockquote class="citation"> <p> For your LtStatusImage theme I'd suggest to not copy it over the empty theme, but to create a full featured theme with preview image and separate .theme file. </p> </blockquote> <p> Ok, I'll make a standalone theme. But I can't do that right now as the images are not displayed. </p> Message thboeckel Thu, 22 Aug 2013 09:24:30 GMT Reply #384 to topic #106 - LtStatusImg http://yam.ch/discussion/message/384#message_384 http://yam.ch/discussion/message/384#message_384 <blockquote class="citation"> <p> Has support for IFF images been dropped (???) or the theme config has changed since Yam 2.6 ? </p> </blockquote> <p> YAM neither supports one specific file format nor does it reject one. It solely uses the datatypes system and hence supports any image format that is supported by this system. </p> <p> Check your .theme file. The first line should be "YTH2 - YAM Theme" with "2" being the version. Anything less will be rejected. </p> <p> For your LtStatusImage theme I'd suggest to not copy it over the empty theme, but to create a full featured theme with preview image and separate .theme file. </p> Message